// ---------------------------------------- //
// ---------------- Image ----------------- //
// ---------------------------------------- //


.img-cover {
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	   object-fit: cover;
	-o-object-position: center;
	   object-position: center;
}
  
.bg-cover {
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
}

.bg-contain {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}

.bg-attachment-fixed {
	background-attachment: fixed;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}


// ---------------------------------------- //
// ---------------- Align ----------------- //
// ---------------------------------------- //

.alignwide {
	margin-left: -50px;
	margin-right: -50px;
}

.alignfull {
	margin-left: calc(50% - 50vw);
	margin-right: calc(50% - 50vw);
}
  
  
  
  
// ---------------------------------------- //
// --------------- Margin ----------------- //
// ---------------------------------------- //
  

.m-0 {
	margin:0!important;
}
.m-10 {
	margin: 10px!important;
}
.m-20 {
	margin: 20px!important;
}
.m-30 {
	margin: 30px!important;
}
.m-40 {
	margin: 40px!important;
}
.m-50 {
	margin: 50px!important;
}
.mb-0 {
	margin-bottom: 0!important;
}
.mb-5 {
	margin-bottom: 5px!important;
}
.mb-10 {
	margin-bottom: 10px!important;
}
.mb-20 {
	margin-bottom: 20px!important;
}
.mb-30 {
	margin-bottom: 30px!important;
}
.mb-40 {
	margin-bottom: 40px!important;
}
.mb-50 {
	margin-bottom: 50px!important;
}
.mt-0 {
	margin-top: 0!important;
}
.mt-5 {
	margin-top: 5px!important;
}
.mt-10 {
	margin-top: 10px!important;
}
.mt-20 {
	margin-top: 20px!important;
}
.mt-30 {
	margin-top: 30px!important;
}
.mt-40 {
	margin-top: 40px!important;
}
.mt-50 {
	margin-top: 50px!important;
}
.ml-0 {
	margin-left: 0!important;
}
.ml-10 {
	margin-left: 10px!important;
}
.ml-20 {
	margin-left: 20px!important;
}
.ml-30 {
	margin-left: 30px!important;
}
.ml-40 {
	margin-left: 40px!important;
}
.ml-50 {
	margin-left: 50px!important;
}
.ml-60 {
	margin-left: 60px!important;
}
.mr-0 {
	margin-right: 0!important;
}
.mr-10 {
	margin-right: 10px!important;
}
.mr-20 {
	margin-right: 20px!important;
}
.mr-30 {
	margin-right: 30px!important;
}
.mr-40 {
	margin-right: 40px!important;
}
.mr-50 {
	margin-right: 50px!important;
}
.my-50 {
	margin: 50px 0!important;
}
.mx-50 {
	margin: 0 50px!important;
}
  
  
// ---------------------------------------- //
// -------------- Padding ----------------- //
// ---------------------------------------- //
  

.p-0 {
	padding: 0!important;
}
.p-10 {
	padding: 10px!important;
}
.p-20 {
	padding: 20px!important;
}
.p-30 {
	padding: 30px!important;
}
.p-40 {
	padding: 40px!important;
}
.p-50 {
	padding: 50px!important;
}
.pb-0 {
	padding-bottom: 0!important;
}
.pb-10 {
	padding-bottom: 10px!important;
}
.pb-20 {
	padding-bottom: 20px!important;
}
.pb-30 {
	padding-bottom: 30px!important;
}
.pb-40 {
	padding-bottom: 40px!important;
}
.pb-50 {
	padding-bottom: 50px!important;
}
.pt-0 {
	padding-top: 0!important;
}
.pt-5 {
	padding-top: 5px!important;
}
.pt-10 {
	padding-top: 10px!important;
}
.pt-20 {
	padding-top: 20px!important;
}
.pt-30 {
	padding-top: 30px!important;
}
.pt-40 {
	padding-top: 40px!important;
}
.pt-50 {
	padding-top: 50px!important;
}
.pl-0 {
	padding-left: 0!important;
}
.pl-10 {
	padding-left: 10px!important;
}
.pl-20 {
	padding-left: 20px!important;
}
.pl-30 {
	padding-left: 30px!important;
}
.pl-40 {
	padding-left: 40px!important;
}
.pl-50 {
	padding-left: 50px!important;
}
.pr-0 {
	padding-right: 0!important;
}
.pr-10 {
	padding-right: 10px!important;
}
.pr-20 {
	padding-right: 20px!important;
}
.pr-30 {
	padding-right: 30px!important;
}
.pr-40 {
	padding-right: 40px!important;
}
.pr-50 {
	padding-right: 50px!important;
}
.py-50 {
	padding: 50px 0!important; 
}
.px-50 {
	padding: 0 50px!important; 
}
.px-75 {
	padding: 0 75px!important; 
}



// ---------------------------------------- //
// ------------ Font weight --------------- //
// ---------------------------------------- //


.fw-light {
	font-weight: light;
}
.fw-normal {
	font-weight: normal;
}
.fw-bold {
	font-family: 'Uni Neue';
	font-weight: bold;
}

.fw-300 {
	font-weight: 300;
}
.fw-400 {
	font-weight: 400;
}
.fw-500 {
	font-weight: 500;
}
.fw-600 {
	font-weight: 600;
}
.fw-700 {
	font-weight: 700;
}
.fw-800 {
	font-weight: 800;
}
.fw-900 {
	font-weight: 900;
}


// ---------------------------------------- //
// ----------- Border radius -------------- //
// ---------------------------------------- //

.br-2{
	border-radius: 2px;
	overflow: hidden;
}
.br-3{
	border-radius: 3px;
	overflow: hidden;
}
.br-5{
	border-radius: 5px;
	overflow: hidden;
}
.br-10{
	border-radius: 10px;
	overflow: hidden;
}
.br-15{
	border-radius: 10px;
	overflow: hidden;
}
.br-20{
	border-radius: 10px;
	overflow: hidden;
}


// ---------------------------------------- //
// ----------- Border radius -------------- //
// ---------------------------------------- //

.align-left { 
	text-align: left; 
}
.align-center { 
	text-align: center; 
}
.align-right { 
	text-align: right; 
}
.align-justify { 
	text-align: justify; 
}




// ---------------------------------------- //
// -------------- Tableaux ---------------- //
// ---------------------------------------- //

.table, table { 
	width: 100%; 
	border-collapse: collapse; 
	border: 0;
	.table th, 
	.table td { 
		padding: 5px 10px; 
		border-bottom: 1px solid #ddd; 
		border-top:0; 
		border-left:0; 
		border-right: 0;
	}

	.table thead td { 
		background: #f5f5f5; 
		font-weight: normal; 
	}
}